<div class="container">

  <div class="filter-container">
    <button (click)="itemData.displayFilters()">
      <span>Filters</span>
      <img src="../../assets/Images/Icons/iconFilters.svg"/>
    </button>
    <button *ngIf="itemData.display" class="apply_filters" (click)="itemData.applyFilter()">
      <span>Apply Filters</span>
    </button>
    <button *ngIf="itemData.display" (click)="itemData.removeFilter()" class="remove_filters">
      <span>Remove Filters</span>
    </button>
  </div>

  <div class="filter-container_body" *ngIf="itemData.display">
    <h4>Search with filters</h4>
    <div class="filters">
      <div class="filters_item" *ngFor="let filter of itemData.filters, let i = index"
           [ngClass]="{'active': itemData.selectedFilter.includes(i)}"
           (click)="itemData.addFilter(filter, i)">
        <img *ngIf="!itemData.selectedFilter.includes(i)" src="../../assets/Images/Icons/iconHashtagWhite.svg"/>
        <img *ngIf="itemData.selectedFilter.includes(i)" src="../../assets/Images/Icons/iconHashtag.svg"/>
        <span>{{filter.name}}</span>
      </div>
    </div>
  </div>

  <div class="list_container">
    <div class="data-container">
      <div class="data-container_item" *ngFor="let item of itemList" routerLink="/tag/{{item.id}}">
        <app-item-data [item]='item'></app-item-data>
      </div>
    </div>
  </div>

</div>

